package com.bonus.material.device.mapper;

import com.bonus.material.device.domain.MaDevQc;
import com.bonus.material.device.domain.MaDevRm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/5 15:54
 */
@Mapper
public interface MaDevRmMapper {

    /**
     * 装备质检列表
     * @param maDevQc
     * @return
     */
    List<MaDevRm> selectDevQcList(MaDevRm maDevRm);

    /**
     * 新增装备质检
     * @param maDevQc
     * @return
     */
    int insertDevQc(MaDevRm maDevRm);

    /**
     * 删除装备质检
     * @param id
     * @return
     */
    int deleteDevQcByFileId(Integer fileId);

    /**
     * 查询月任务数
     * @param nowDate
     * @return
     */
    String selectTaskNumByMonth(Date nowDate);

    List<MaDevRm> selectQcList(MaDevRm maDevRm);

    Integer updateFileId(@Param("id") Integer id, @Param("fileId") Integer fileId);
}
